/*
 * YLineParser.h
 * Project: part of belofte - A Promising Chess Program
 *
 * Created by Yves De Billoëz on 14/10/2006.
 * Copyright 2006-2020, Yves De Billoëz.  All rights reserved.
 */

#if !defined(__LINEPARSER_H__)
#define __LINEPARSER_H__

int YParse_Line(const char *szLine, const char *szSeparator,
        char *aResultParts[],
        const int iMaxElements, const size_t iMaxLen);
void YParse_Line_Clean(char *aResultParts[], const int iNumTokens);

#if defined(__WIN32__)
char *strtok_r(char *s1, const char *s2, char **lasts);
#endif

#endif
